/**
@usage
<app-image :src="item.file_cover_image"></app-image>
*/
function app_vue_component_image() {
    Vue.component('app-image', {
        props: ['src'],
        computed: {
            rsrc() {
                var sr = this.src;
                //alert("this.src="+this.src);
                if(sr!=null && sr.indexOf("//") == 0){
                    sr = "https:"+sr;
                }
                if (sr!=null && sr.indexOf("http") < 0) {
                    sr = window._D.url_file + sr;
                }
                return sr;
            },
            rtype(){
                var sr = this.src;
                if(sr.toLowerCase().indexOf("\.mp4")>=0){
              		return "video";
              	}else{
              		return "image";
              	}
            },
        },
        template: '<div v-if="rsrc!=null" ><img :src="rsrc" v-if="rtype==\'image\'"/><video :src="rsrc" controls="controls" v-if="rtype==\'video\'" style="width: 100%; height: 100%; object-fit: fill" poster="../image/black.jpg"></video></div>'
    })
}

function debug_alert(str){
    if(window._D.debug==true){
        alert(str);
    }
}

function spr_get_ajax(param,callback){
  param.url = window._D.ws_url+param.rurl;
  param.method = "get";
  param.cache = true;
  param.timeout = 30;
  param.dataType = "json";
  api.ajax(param,callback);
}


function spr_post_ajax(param,callback){
  param.url = window._D.ws_url+param.rurl;
  param.method = "post";
  param.cache = false;
  param.timeout = 30;
  param.charset = "utf-8";
  api.ajax(param,callback);
}

function spr_logserver2(page_name,page_value_id,operate_name,operate_value_id,func){
  var url = "mobile_operate_log_add/?spr_learn_type="+window._D.spr_learn_type;
  //url = _D.base_url +"app/"+url;
  console.log("Add Log:"+url);

  spr_post_ajax({
      rurl: url,
      // headers :{
      //    "Content-type" : "text/html;charset=UTF-8"
      // },
      data: {
          values: {
              "page_name":page_name,
              "page_value_id":page_value_id,
              "operate_name":operate_name,
              "operate_value_id":operate_value_id,
              "mobile_app_id": api.deviceId,
              "user_agent":navigator.userAgent,
              "app_version":api.appVersion
          }
      }
  }, function(data, err) {
    if(func!=null && func!=undefined){
      func();
    }
  });

}

function spr_logserver(type,type_value,func){
  var url = "td_user_disc_log_add/?spr_learn_type="+window._D.spr_learn_type;
  //url = _D.base_url +"app/"+url;
  console.log("Add Log:"+url);

  spr_post_ajax({
      rurl: url,
      // headers :{
      //    "Content-type" : "text/html;charset=UTF-8"
      // },
      data: {
          values: {
              "type":type,
              "type_value":type_value,
              "mobile_app_id": api.deviceId,
              "user_agent":navigator.userAgent,
              "app_version":api.appVersion
          }
      }
  }, function(data, err) {
    if(func!=null && func!=undefined){
      func();
    }
  });

}







function spr_fixheader(a,el){
  //alert(spr_safeArea_top(a));
  el.style.paddingTop = spr_safeArea_top(a)+"px";
}

function spr_safeArea_top(a){
  var h = $api.getStorage("spr_safeArea_top");
  if(h==null){
    h = a.safeArea.top;
    $api.setStorage("spr_safeArea_top",h);
  }
  return parseInt(h);
}


apiready = function() {
    spr_onLoad();
};

function spr_vue(param) {
    param.data.txtName = "1234";
    // param.mounted = function() {
    //     api.parseTapmode();
    // }
    return new Vue(param);
}

function spr_vue_mounted() {
    api.parseTapmode();
}

function parseHtml(str) {
    if (str == "" || str == null || str == undefined) {
        return "";
    }
    var str = str.replaceAll("\\[\\[img:([0-9a-zA-Z_\\.\\\\]*)\\]\\]", "<img class='html_img' src='" + window._D.image_file + "$1'/>");
    var text_blank = "&nbsp;&nbsp;&nbsp;&nbsp;";
    str = str.replaceAll("\n", "<BR>" + text_blank);
    return str;
};
String.prototype.replaceAll = function(s1, s2) {
    return this.replace(new RegExp(s1, "gm"), s2);
}

function taobaoke(tkUrl) {
    spr_logserver("CLICK_TAOBAOKE", tkUrl, null);

    if (api.systemType == "ios") {
      //alert("ios" );
      api.openWin({
          name: 'invoketaobao_ios',
          url: tkUrl,
          pageParam: {}
      });
      http://spr_learn_swing_file.163fan.com/html/invoketaobao.htm
      setTimeout(function() {
          api.closeWin({
              name: 'invoketaobao_ios'
          });
      }, 6000);
    } else {
        var appkey = window._D.taobao_appkey;
        //var tkUrl = "https://s.click.taobao.com/iEk5rLw";
        var pid = window._D.taobao_pid;
        api.openWin({
            name: 'invoketaobao',
            url: window._D.ws_url + "invoketaobao/?appkey=" + appkey + "&tkUrl=" + escape(tkUrl) + "&pid=" + pid,
            pageParam: {}
        });
        //http://spr_learn_swing_file.163fan.com/html/invoketaobao.htm
        setTimeout(function() {
            api.closeWin({
                name: 'invoketaobao'
            });
        }, 6000);
    }
}



window._DICT = {
    getImageSrc: function(s) {
        if (s == null) {
            return "";
        }
        if (s.indexOf("http://") >= 0 || s.indexOf("https://") >= 0) {
            return s;
        } else {
            return window._D.image_file + s;
        }
    },
    getPublishDesc: function(s) {
        if (s == "published") {
            return "已推荐";
        } else if (s == "draft") {
            return "待审核";
        } else if (s == "reject") {
            return "被退回";
        }
    }
}
